Bug 286572 - Playing video doesn't inhibit screensaver
Summary: Playing video doesn't inhibit screensaver
Status: RESOLVED DUPLICATE of bug 295164
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: powermanagement (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-14 10:02 UTC by Lorenzo
Modified: 2013-02-13 15:51 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo 2011-11-14 10:02:08 UTC
Version:           4.7 (using KDE 4.7.2) 
OS:                Linux

Playing a video with dragon player or vlc doesn't inhibit screensaver or screen suspend on my laptop.

Reproducible: Always

Steps to Reproduce:
1. Set screensaver time or screen power management time
2. Play video until screensaver start


Expected Results:  
Vlc or dragon player should inhibit screensaver when playing a video
Comment 1 Christoph Feck 2011-11-14 11:30:16 UTC
According to bug 243035 this does not work in Dragon Player, because "powerdevil does not seem to actually trigger the appropriate action".
Comment 2 Bernd Knorr 2012-03-04 13:27:16 UTC
I can confirm this for VLC.
In KDE power management settings I configured the screen to dim after 1 minute of inactivity.
During playback of a video in vlc the screen gets dimmed after the specified period of time, which is not what I want while watching a movie.

Interestingly, if I disable screen dimming but instead configure the screen to completely switch off, everything is as expected. I.e. while watching a movie in VLC the screen stays on. But after closing VLC and one minute of inactivity the screen switches off.

I connected the signal org.freedesktop.PowerManagement.Inhibit.HasInhibitChanged in qdbusviewer and this is the output:

** starting a video in vlc **
Received signal from :1.2, path /org/freedesktop/PowerManagement/Inhibit, interface org.freedesktop.PowerManagement.Inhibit, member HasInhibitChanged
  Arguments: true
Received signal from :1.2, path /org/freedesktop/PowerManagement, interface org.freedesktop.PowerManagement.Inhibit, member HasInhibitChanged
  Arguments: true

** closing vlc **
Received signal from :1.2, path /org/freedesktop/PowerManagement/Inhibit, interface org.freedesktop.PowerManagement.Inhibit, member HasInhibitChanged
  Arguments: false
Received signal from :1.2, path /org/freedesktop/PowerManagement, interface org.freedesktop.PowerManagement.Inhibit, member HasInhibitChanged
  Arguments: false

So it seems that VLC does everything right.

I have KDE 4.8.0 (Chakra Linux).
Comment 3 Bernd Knorr 2012-03-04 16:48:50 UTC
The problem seems to be only with screen dimming.
Screensaver, session shutdown (standby, hibernate, shut down, lock screen) are all prevented while watching a movie in VLC.

I use VLC version 2.0.0.
Comment 4 Martin Bříza 2012-07-17 09:09:35 UTC
This bug is also filed in the Red Hat Bugzilla for Fedora 17 (KDE SC 4.8.2) on https://bugzilla.redhat.com/show_bug.cgi?id=811486 .
Comment 5 valdikss 2012-10-16 21:59:39 UTC
Strange. I got this bug probably by upgrading to 4.9.2. Never got it before.
qdbus org.freedesktop.ScreenSaver /ScreenSaver SimulateUserActivity
doesn't disable screen dimming. So I have to disable powersave in KDE to watch movies.
I use mplayer and it always worked with "disable-xscreensaver" function but now it doesn't, neither do qdbus call.
Comment 6 Nikoli 2012-12-06 15:17:13 UTC
Confirm
Comment 7 valdikss 2013-01-05 22:05:29 UTC
Seems like fixed in 4.9.5 or earlier.
Comment 8 Oliver Henshaw 2013-02-13 15:51:40 UTC

*** This bug has been marked as a duplicate of bug 295164 ***